Name: soundtracker
Version: 0.6.7
Release: alt4

Summary: Sound modules editor/player
License: GPL
Group: Sound

Url: http://www.soundtracker.org/
Source: ftp://ftp.soundtracker.org/pub/soundtracker/v0.6/soundtracker-%version.tar.gz
Source1: %name.menu
Source2: %name-icon.png
Source3: soundtracker.control

Patch1: %name-%version-cheatsheet-alt.patch.bz2
Patch2: %name-%version-fixmessage-alt.patch
Patch3: %name-%version-plcleanup-alt.patch
Patch4: %name-%version-interpolate-upstream.patch
Patch5: %name-%version-translation-alt.patch.bz2
Patch6: %name-%version-nosuid-alt.patch.bz2

Summary(ru_RU.KOI8-R): / 
Summary(uk_UA.KOI8-U): / ̦

# Automatically added by buildreq on Wed Jan 21 2004
BuildRequires: XFree86-devel XFree86-libs esound-devel gdk-pixbuf-devel glib-devel glib2 gnome-libs-devel gtk+-devel hostinfo imlib-devel jackit-devel libalsa-devel libaudiofile-devel libdb1-devel libsndfile-devel pkgconfig

#BuildRequires: automake_1.4
#BuildRequires: autoconf_2.13

%description
Soundtracker is a module tracker for the X Window System similar to
the DOS program `FastTracker'. Soundtracker is based on the XM file
format.  The user interface makes use of GTK+, and, optionally, GNOME.

%description -l ru_RU.KOI8-R
Soundtraker --   ,   FastTracker 
  XM.      GTK+ 
GNOME ().

%description -l uk_UA.KOI8-U
Soundtraker -- Ʀ  ̦,    FastTracker 
դ  XM.    צ ¦̦ GTK+ 
GNOME (æ).

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
unset CC CXX
#set_automake_version 1.4
#set_autoconf_version 2.13
#__libtoolize --copy --force
#__aclocal
#__automake
%__subst 's,chown,echo &,g' `find -name 'Makefile*'`
%configure --disable-alsa
%make_build

%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name-icon.png
%__install -pD -m755 %SOURCE3 %buildroot%_controldir/%name

%find_lang %name

%pre
%pre_control %name

%post
%update_menus
%post_control -s normal %name

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_menudir/*
%_iconsdir/*
%_datadir/%name/
%config(noreplace) %_controldir/%name
%doc AUTHORS ChangeLog FAQ NEWS README TODO doc/*.txt 

%changelog
* Tue Mar 23 2004 Michael Shigorin <mike@altlinux.ru> 0.6.7-alt4
- worked around #3759, thanks to Yury Aliaev (mutabor@)

* Sun Feb 08 2004 Yury Aliaev <mutabor@altlinux.ru> 0.6.7-alt3
- fixed "mimetype" menu entry

* Wed Jan 21 2004 Michael Shigorin <mike@altlinux.ru> 0.6.7-alt2
- updated buildrequires; hasher build on behalf of Yury Aliaev
- implemented control(8) support (non-privileged by default)
- libtoolize & co 

* Sun Jan 18 2004 Yury Aliaev <mutabor@altlinux.ru> 0.6.7-alt1
- new version + post-release fixes and additions

* Fri Sep 06 2002 Michael Shigorin <mike@altlinux.ru> 0.6.6-alt1
- largely updated ru.po (thanks to Yury Aliaev <mutabor @ catholic org>)

* Wed Jun 05 2002 Michael Shigorin <mike@altlinux.ru> 0.6.6-alt0.2
- new version
- updated ru.po
- removed --disable-alsa from configure

* Thu Dec 27 2001 Michael Shigorin <mike@altlinux.ru> 0.6.4-alt2
- ru.po cleanup

* Fri Oct 12 2001 Michael Shigorin <mike@altlinux.ru> 0.6.4-alt1
- alt1
- spec cleanup
- soundtracker binary no longer suid root by default
- updated ru.po
